Author Topic: Error while apt-get update/upgrade  (Read 2162 times)

koenb

  • Newbie
  • *
  • Posts: 12
    • View Profile
Error while apt-get update/upgrade
« on: September 04, 2009, 10:06:45 am »
I get the following errors, can anyone  help me out?

# apt-get update
...
W: Failed to fetch http://deb.linuxmce.org/ubuntu/dists/replacements_debian/main/binary-i386/Packages.gz  404 Not Found

E: Some index files failed to download, they have been ignored, or old ones used instead.

# apt-get upgrade

...
/usr/pluto/bin/StorageDevices_Setup.sh: line 49: djmount: command not found
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: syntax error near unexpected token `fi'
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: `fi'
dpkg: error processing pluto-mythtv-plugin (--configure):
 subprocess post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
                                                              Setting up pluto-firewire2video4linux (2.0.0.44.0901260810) ...
FATAL: Module vloopback not found.
dpkg: error processing pluto-firewire2video4linux (--configure):
 subprocess post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 pluto-system-database
 pluto-dcerouter
 pluto-mythtv-player
 pluto-mythtv-plugin
 pluto-firewire2video4linux

root@dcerouter:/# uname -a
Linux dcerouter 2.6.27-14-generic #1 SMP Tue Aug 18 16:25:45 UTC 2009 i686 GNU/Linux

« Last Edit: September 04, 2009, 10:10:11 am by koenb »

PeterSchmid

  • Regular Poster
  • **
  • Posts: 42
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #1 on: September 04, 2009, 02:03:23 pm »
Hi Koenb,

are u on your core?

check your internet connection and network setup.

e.g. ping google or some known server to give a icmp echo


Rgds

Peter


koenb

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #2 on: September 04, 2009, 04:49:14 pm »
Internet never stopped working:

Code: [Select]
koen@dcerouter:~$ ping www.google.be
PING www.l.google.com (209.85.227.99) 56(84) bytes of data.
64 bytes from wy-in-f99.google.com (209.85.227.99): icmp_seq=1 ttl=255 time=20.8 ms
64 bytes from wy-in-f99.google.com (209.85.227.99): icmp_seq=2 ttl=255 time=19.5 ms
64 bytes from wy-in-f99.google.com (209.85.227.99): icmp_seq=3 ttl=255 time=20.8 ms
64 bytes from wy-in-f99.google.com (209.85.227.99): icmp_seq=4 ttl=255 time=19.8 ms
^C
--- www.l.google.com ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3008ms
rtt min/avg/max/mdev = 19.567/20.289/20.867/0.584 ms

Is this sources.list entry correct?

_if_

  • Guru
  • ****
  • Posts: 239
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #3 on: September 04, 2009, 05:02:56 pm »
this is propably because 7.10 is now in unsupported mode...

edit your /etc/apt/sources.list

Now change all instances of archive.ubuntu.com to say old-releases.ubuntu.com

give it a try..

PeterSchmid

  • Regular Poster
  • **
  • Posts: 42
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #4 on: September 04, 2009, 05:04:34 pm »
this would be the correct address

http://deb.linuxmce.org/ubuntu/dists/replacements_ubuntu/main/binary-i386/Packages.gz

I can not check at the moment where it is called from, but check your sources.list

koenb

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #5 on: September 04, 2009, 09:25:03 pm »
My apt-get update runs without any error now but in the apt-get upgrade I still get the following:

Code: [Select]
/usr/pluto/bin/StorageDevices_Setup.sh: line 49: djmount: command not found
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: syntax error near unexpected token `fi'
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: `fi'
dpkg: error processing pluto-mythtv-plugin (--configure):
 subprocess post-installation script returned error exit status 2
Setting up pluto-firewire2video4linux (2.0.0.44.0901260810) ...
FATAL: Module vloopback not found.
dpkg: error processing pluto-firewire2video4linux (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 pluto-mythtv-player
 pluto-mythtv-plugin
 pluto-firewire2video4linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

The first error is caused by the following lines of code (usr/pluto/bin/StorageDevices_Setup.sh):
Code: [Select]
## Start UPNP media files client
mkdir -p /mnt/upnp
if ! mountpoint /mnt/upnp ;then
djmount -o allow_other,default_permissions /mnt/upnp
fi

if [ -f /usr/pluto/bin/storagegroups_sync.sh ]
# Call MythTV Setup to alter storage groups.
/usr/pluto/bin/storagegroups_sync.sh
fi
Is it the first "then" statement that isn't correct? Shouldn't there be a "else"?

What is the djmount command? Because apt-get install djmount gives the following:
Code: [Select]
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: syntax error near unexpected token `fi'
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: `fi'
dpkg: error processing pluto-mythtv-plugin (--configure):
 subprocess post-installation script returned error exit status 2
Setting up pluto-firewire2video4linux (2.0.0.44.0901260810) ...
FATAL: Module vloopback not found.
dpkg: error processing pluto-firewire2video4linux (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 pluto-mythtv-player
 pluto-mythtv-plugin
 pluto-firewire2video4linux
E: Sub-process /usr/bin/dpkg returned an error code (1)
« Last Edit: September 04, 2009, 09:34:25 pm by koenb »

PeterSchmid

  • Regular Poster
  • **
  • Posts: 42
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #6 on: September 04, 2009, 09:42:22 pm »
djmount is a UPnP AV client. It mounts as a Linux filesystem the media content of compatible UPnP AV devices.

I think u copied once more the same output.
can u post once more

output of apt-get install djmount

and also your sources.list

just to make sure: which Kubuntu and LinuxMCE are u using

koenb

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #7 on: September 04, 2009, 09:53:25 pm »
Code: [Select]
root@dcerouter:/usr/pluto/bin# cat /etc/apt/sources.list
deb file:/usr/pluto/deb-cache/ ./
deb http://be.archive.ubuntu.com/ubuntu/ intrepid  main restricted universe multiverse
deb-src http://be.archive.ubuntu.com/ubuntu/ intrepid  main restricted universe multiverse
deb http://be.archive.ubuntu.com/ubuntu/ intrepid-updates  main restricted universe multiverse
deb-src http://be.archive.ubuntu.com/ubuntu/ intrepid-updates  main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ intrepid-security  main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu/ intrepid-security  main restricted universe multiverse
deb http://deb.linuxmce.org/ubuntu/ intrepid  lmce-alpha-latest lmce-alpha-latest-updates
deb http://debian.slimdevices.com/ stable  main
deb http://packages.medibuntu.org/ intrepid  free non-free
deb http://archive.ubuntu.com/ubuntu/ intrepid  main universe multiverse
deb http://deb.linuxmce.org/ubuntu/ 20dev_ubuntu  main
deb http://deb.linuxmce.org/ubuntu/ replacements_ubuntu  main
# was replacements_debian

Code: [Select]
Reading package lists... Done                        
Building dependency tree                              
Reading state information... Done                    
djmount is already the newest version.                
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.                            
After this operation, 0B of additional disk space will be used.
Setting up pluto-mythtv-player (2.0.0.44.09090422265) ...      
ln: creating symbolic link `/usr/lib/libXmu.so': File exists  
 
...
...
...
/usr/pluto/bin/StorageDevices_Setup.sh: line 48: [: mountpoint: unary operator expected
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: syntax error near unexpected token `fi'
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: `fi'
dpkg: error processing pluto-mythtv-plugin (--configure):
 subprocess post-installation script returned error exit status 2
Setting up pluto-firewire2video4linux (2.0.0.44.0901260810) ...
FATAL: Module vloopback not found.
dpkg: error processing pluto-firewire2video4linux (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 pluto-mythtv-player
 pluto-mythtv-plugin
 pluto-firewire2video4linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

My LinuxMCE is version is 2.0.0.44.0805082200
I'm currently running Kubuntu 8.10

Code: [Select]
root@dcerouter:/usr/pluto/bin# cat /etc/issue
Ubuntu 8.10 \n \l

PeterSchmid

  • Regular Poster
  • **
  • Posts: 42
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #8 on: September 04, 2009, 10:02:39 pm »
now your output shows that djmount is installed.

what command are u using that not only djmount is gooing to be installed but
also wants to setup mythtv player?

what happens if u enter djmount as command?

maybe u need to remove and reinstall?

could also be that your upgrade is not finished and apt-get wants to finsish it.
so maybe not djmount is your problem....

koenb

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #9 on: September 04, 2009, 10:06:00 pm »
I think indeed that djmount isn't the problem, my problem is in something that runs the StorageDevices_Setup.sh script. This script seems not correct.

PeterSchmid

  • Regular Poster
  • **
  • Posts: 42
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #10 on: September 04, 2009, 10:12:20 pm »
so try manual install and configuration of
of those packages where errors were found

Quote

Errors were encountered while processing:
 pluto-mythtv-player
 pluto-mythtv-plugin
 pluto-firewire2video4linux

merkur2k

  • Addicted
  • *
  • Posts: 513
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #11 on: September 05, 2009, 12:27:42 am »
there were some problems with a bad release today. everything should be fixed now if you try another update.

koenb

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #12 on: September 05, 2009, 10:45:01 am »
Well I'm still getting (after an apt-get update):

Code: [Select]
root@dcerouter:/usr/pluto/bin# apt-get upgrade
...
...
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: syntax error near unexpected token `fi'
/usr/pluto/bin/StorageDevices_Setup.sh: line 55: `fi'
dpkg: error processing pluto-mythtv-plugin (--configure):
 subprocess post-installation script returned error exit status 2
Setting up pluto-firewire2video4linux (2.0.0.44.0901260810) ...
FATAL: Module vloopback not found.
dpkg: error processing pluto-firewire2video4linux (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 pluto-mythtv-player
 pluto-mythtv-plugin
 pluto-firewire2video4linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

It seems that the StorageDevices_Setup script is the bottleneck, can anyone post theirs?

pigdog

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1008
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #13 on: September 05, 2009, 02:58:04 pm »
Hi,

From your earlier post StorageDevices_Setup was this

Quote
## Start UPNP media files client
mkdir -p /mnt/upnp
if ! mountpoint /mnt/upnp ;then
   djmount -o allow_other,default_permissions /mnt/upnp
fi

if [ -f /usr/pluto/bin/storagegroups_sync.sh ]
   # Call MythTV Setup to alter storage groups.
   /usr/pluto/bin/storagegroups_sync.sh
fi[/quote

Try this ...

Quote
   mkdir -p /mnt/upnp
   if ! mountpoint /mnt/upnp ;then
           djmount -o allow_other,default_permissions /mnt/upnp
           if [ -x /usr/bin/djmount ] ;then
                   djmount -o allow_other,default_permissions /mnt/upnp
           fi
   fi
    
   if [ -f /usr/pluto/bin/storagegroups_sync.sh ] ;then
           # Call MythTV Setup to alter storage groups.
           /usr/pluto/bin/storagegroups_sync.sh


Cheers.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5501
  • DOES work for LinuxMCE.
    • View Profile
Re: Error while apt-get update/upgrade
« Reply #14 on: September 05, 2009, 08:06:45 pm »
yes, guys.. Sorry. I broke this release.

Possy and I will fix it. Please be patient.

-Thom